Name: **`N ANUDEEP`[NAME]**, -NL- Contact: **`+91 8110916149`[PHONES_PHONE]** -NL- Email:**`anudeepsastra@gmail.com`[EMAILS_EMAIL]** -NL- **`EXPERIENCE SUMMARY`[SUMMARY_HEADING]** -NL- • Having 4 years of Experience in React Native, React Web, Flutter Apps,MongoDB with good -NL- understanding of UI guidelines With material design concepts and ability to develop rich UI -NL- applications and power optimization and memory management. -NL- **`EXPERIENCE DETAILS`[WORK_EXPERIENCE_HEADING]** -NL- Functional Domain Name -NL- Experience -NL- Description -NL- Retailer,Enterprise and -NL- 4 years -NL- Projects like Mediakind,**`LabKart`[PROJECT_TITLE]**,SFFNxt(Enterprise -NL- Ecommerce Applications -NL- App),Znack food(Ecommerce App),Spot Audit(Retailer -NL- App),Office Manager. -NL- **`SKILLS`[SKILLS_HEADING]** -NL- P ort a -NL- Technical Skills : React Native,React Web,Flutter,DataStructures & Algorithms,Machine Learning Enthusiast. -NL- Github URL: -NL- https://github.com/anudeep654/ReactNative-Highly-Used-Animations -NL- https://github.com/anudeep654/Data-Structures-Algorithms-in-Javascript -NL- https://github.com/anudeep654/ReactWeb_StreamingApp-OBS-/tree/master -NL- Remaining React Web Projects: https://github.com/anudeep654/ -NL- Industry Domain: Enterprise,Retailer,Ecommerce Applications. -NL- **`PROJECT EXPERIENCE`[OTHERS_HEADING]** -NL- Project/Product 1 -NL- **`MediaKind`[PROJECT_TITLE]** -NL- **`LNT`[PROJECT_COMPANY_NAME]** -NL- Description -NL- **`MediaKind`[PROJECT_TITLE]** is an application for media and entertainment domain.It’s used for OTT -NL- and mobile devices.It contains the content of videos,live tv etc; -NL- Tools & Technologies -NL- React Native,Redux,Twilio Integration, Xcode,Android Studio,VisualStudioCode. -NL- Responsibilities / Contribution -NL- ● Worked on animations for component transitions with stack navigators. -NL- ● Worked on Stack Navigators,React Navigation. Worked on integrating native video players. -NL- ● Worked on Interplay between components,customizing individual cards,handling gestures using pan responder -NL- system,dragging a card.animating single cards(Tinder Swipe),Limiting rotation with interpolation and component -NL- reusability. -NL- ● Worked on Animation.Values,combining animations,Interpolations and Native animations. -NL- ● Worked on writing the test cases for UnitTesting,Integration testing and end to end testing.Wrote the feature level -NL- tests and network api related test cases using jest and used detox for end to end test cases. -NL- ● Worked on Codepush which is basically we can change the features on fly to the app by targeting bundle files. -NL- ● Worked on Integrating android native video player to react native via bridge. -NL- ● Worked on redux store along with middlewares like thunk and redux persist. -NL- ● Worked on React Web in the same project.Mainly concentrated on routing.The app uses react-router-dom. -NL- ● Worked on React Portals for creating modals in web app. -NL- ● Worked on React Forms and integrated them in the component in web app. -NL- ● Worked on FLV.js player integration,React context by using the Providers. -NL- ● Worked on Redux and used middlewares like thunk,logger etc; -NL- ● Worked on Rendering the images based on Height dynamically using reference in child component . -NL- PROJECT EXPERIENCE -NL- Project/Product 1 -NL- **`LabKart`[PROJECT_TITLE]** -NL- **`LNT`[PROJECT_COMPANY_NAME]** -NL- Description -NL- **`LabKart`[PROJECT_TITLE]** is part of the KartLabs group and mainly focuses on electronic -NL- items/products The solution automates various activities that are common to mobile -NL- workforces like those supporting manufacturers, distributors, carrying and -NL- forwarding agents, and sales organizations. -NL- Tools & Technologies -NL- React Native,Redux,Twilio Integration, React Web,Xcode,Android -NL- Studio,VisualStudioCode. -NL- Responsibilities / -NL- ● Development using React,React Redux,Custom calendars. -NL- Contribution -NL- ● Released both the apps in android and ios.Worked on many issues while -NL- building the app. -NL- ● Worked on implementing OneTimePassword(OTP) integration with -NL- twilio and google cloud functions. -NL- ● Worked on Axios Library for making http requests and used aync and -NL- await modules. -NL- ● Worked on integrating react native navigation,registering and rendering -NL- a screen,adding tabs,connecting screens to redux,pushing and popping -NL- pages. -NL- ● Worked on global styles with custom components,animated api and -NL- styling navigation items. -NL- ● Worked on handling user input with custom validation logic and -NL- configuring custom text components and handling the keyboard. -NL- ● Worked on using native device features like rendering a map,picking a -NL- location from the map,animation map moment. -NL- ● Worked on Image picker,Networking-sending http requests. -NL- ● Executed important responsibilities such as architecting solutions and -NL- strategies for development cycles ,code review,refactoring etc; -NL- ● Worked on google,facebook authentication from both android and ios. -NL- ● Worked on middlewares redux thunk for asynchronous functioning. -NL- PROJECT EXPERIENCE -NL- Project/Product 2 -NL- **`SFFNXT (SMART FIELD FORCE)`[PROJECT_TITLE]** -NL- **`Sify`[PROJECT_COMPANY_NAME]** -NL- Customer Name -NL- GSK,EVEREADY -NL- Description -NL- SmartFieldForce NXT connects mobile and remote workforce with our central -NL- accounting and Enterprise Resource Planning systems. This cloud-based solution -NL- provides efficient workforce management, helps reduce operational costs, and -NL- improves service delivery to end customers.With SmartFieldForce NXT, employees -NL- can connect and upload, synchronize and track data on the go. The solution -NL- automates various activities that are common to mobile workforces like those -NL- supporting manufacturers, distributors, carrying and forwarding agents, and sales -NL- organizations. -NL- Tools & Technologies -NL- React Native,Redux ,Xcode,Android Studio,VisualStudioCode Android -NL- Studio,Java, Dagger2,MVP,Google Fused location api,Geofencing,Android -NL- SDK,RxJava,Retrofit,REST,Material Design. -NL- Operating System -NL- MACBookPro(Mac OS X) -NL- Role Played -NL- React Native Developer -NL- Responsibilities / -NL- Contribution -NL- ● Optimized animation logic with optimistic functions to increase -NL- performance in rendering and also worked on flatlist,react -NL- navigation,tab navigators,stack navigation. -NL- ● Component for UX-Library consisted of Button, Checkbox, Input, -NL- Icons, Toggle Button, Dropdown, Multi-Level Dropdown. -NL- ● Worked on TabBar icons,naviagtions,stack navigators for both Ios -NL- and Android. -NL- ● Worked in using React Components,Forms,Events,Keys,Routers, -NL- Animations etc; -NL- ● Used webservices(SOAP and RESTFUL) for transimission of large -NL- blocks of Xml/json. -NL- ● Worked on React native camera and pushnotifications -NL- ● Worked on Custom Alert Dialogs and experience in android sdk -NL- components like services,broad cast receivers and content providers. -NL- ● Created and used reducers that received said actions to modify the -NL- Store State Tree. -NL- ● Added dynamic functionality by creating and dispatching action -NL- creators that deployed actions. -NL- ● Used Middleware, Redux-Promise in application to retrieve data -NL- from Back-End and to also perform RESTFUL services. -NL- Team Size -NL- 3 -NL- Project/Product 3 -NL- **`ZNACK FOOD `[PROJECT_TITLE]**-NL- **`Sify`[PROJECT_COMPANY_NAME]** -NL- Customer Name -NL- Internal -NL- Description -NL- Znack is one stop shop for snack ,food and sweet lovers, transforming the -NL- way food,sweets and snacks delivered across cities by enabling anyone to have -NL- anything delivered on-demand. Our revolutionary platform connects customers with -NL- local stores who can deliver anything from any store in minutes. App can tracks -NL- each order and makes sure you get exactly what you want. It supports store pick up, -NL- cash on delivery and online payments. -NL- Tools & Technologies -NL- Android Studio,Java, MVP, Geofencing,Cart Model,Search,Flex Box -NL- layouts,Retrofit,Payment gateway. -NL- Operating System -NL- Windows 10 -NL- Role Played -NL- Android Developer -NL- Responsibilities / -NL- ● Implemented payment gateway using PayuMoney,Retrofit and the -NL- Contribution -NL- complete application follows MVP Pattern and used some patterns like -NL- Singleton pattern,Observer patterns(RXJava). -NL- Team Size -NL- 2 -NL- Project/Product 4 -NL- Customer Name -NL- Description -NL- Tools & Technologies -NL- Operating System -NL- Role Played -NL- Responsibilities / -NL- Contribution -NL- ● Implemented Job Schedulers,Services,BroadCast receivers and worked -NL- on flavors and worked on Butterknife,OkHttp,Jackson parsing for JSOn -NL- Parsing. -NL- ● Worked on unit testing tool Junit4 and User interface testing using -NL- expresso. -NL- ● Worked on Flexbox layouts,Linear layouts,Frame and Coordinator -NL- layouts. -NL- ● Worked on generating pdf,printing the data using thermal printers and -NL- used sticky headers. -NL- ● Implemented Google Analytics Api for crash report and implemented -NL- FCM for push notifications. -NL- **`OFFICE MANAGER`[PROJECT_TITLE]** -NL- **`Sify`[PROJECT_COMPANY_NAME]** -NL- Internal -NL- Office Manager is a mobile application developed for a major MNC offering HR -NL- serviced for large enterprises. They have operation over 10 countries offering their -NL- services to major corporations, government establishments, private and public -NL- sectors worldwide. One of the important USPs of the client is their back-end multi- -NL- tenant HCM platform. They have different processes for different clients, and the -NL- enterprise application had the capability to configure based on each customer -NL- requirements. -NL- Android Studio,GenyMotion,Java,Volley,Butterknife,MVC,Behaviour -NL- patterns,Google maps v2,Bluetooth Le. -NL- Windows 10 -NL- Android developer -NL- ● Worked on developing the application from Scratch and SRS -NL- preparation. -NL- ● Worked on fragments using view pager,used styles,material design -NL- ,navigation drawer,Tab Layout,Search algorithms. -NL- ● Worked on building Room database and worked on express -NL- framework for bulding the restful webservices using Node.js and used -NL- Mongodb. -NL- ● Worked on Recycler views along with card view with good item -NL- animation. -NL- ● Worked on volley for networking calls and implemented google -NL- maps v2. -NL- ● Worked on Bluetooth le for connecting to printers and used behavior -NL- patterns in the application. -NL- Team Size -NL- 3 -NL- Project/Product 5 -NL- Customer Name -NL- Description -NL- Tools & Technologies -NL- Operating System -NL- Role Played -NL- Responsibilities / -NL- Contribution -NL- Team Size -NL- 5 -NL- Project/Product 6 -NL- Customer Name -NL- Description -NL- **`SPOTAUDIT`[PROJECT_TITLE]** -NL- **`Kaspon`[PROJECT_COMPANY_NAME]** -NL- L&T -NL- This is a Mobile workflow management solution wrapper for SAP ERP.The -NL- application covers most of the ESS components that include workflow for purchase -NL- approval,Sales/Billing approval, Expense Approval and Production Planning and -NL- HR approval process. -NL- Android Studio,GenyMotion,Java,HttpUrlConnection,MVP,Observer -NL- Patterns,FlexBox Layouts. -NL- Windows10 -NL- Android developer -NL- ● Worked on Translating designs and wireframes into high quality -NL- Code. -NL- ● Worked on Bug fixing and improving application performance. -NL- ● Worked on to deal with different screen sizes. -NL- ● Worked on Sqlite and animations for different screens. -NL- ● Worked on RESTful APIs to connect Android applications to -NL- Back-end services. -NL- **`EXPENSE CALCULATOR`[PROJECT_TITLE]** -NL- **`Kaspon`[PROJECT_COMPANY_NAME]** -NL- Expense Calculator is an android app which can be used for calculating your -NL- expenses ,split the amount you went to trips,home rent,bills.This allows with google -NL- and facebook sign up.You ca share your trips and make sure everyone paids back. -NL- Tools & Technologies -NL- Android Studio,GenyMotion,Java,HttpUrlConnection,GSON,Action -NL- Bar,TabLayouts. -NL- Operating System -NL- Ubuntu -NL- Role Played -NL- Android developer -NL- Responsibilities / -NL- ● Worked on layouts,styles,views and Other UI concepts. -NL- Contribution -NL- ● Worked on cloud message APIs and push notifications. -NL- ● Worked on offline storage, threading, and performance tuning. -NL- ● Worked on code versioning tools i.e Git. -NL- **`EDUCATION`[EDUCATION_HEADING]** -NL- Year - Degree - Major Subject - Institution -NL- 2009 - **`Secondary School`[EDUCATION_DEGREE]** - **`Maths,Physics`[EDUCATION_COURSE]** - **`Siddhartha`[EDUCATION_INSTITUTE]**(92%) -NL- 2011 - **`Intermediate`[EDUCATION_DEGREE]** - **`MPC`[EDUCATION_COURSE]** - **`Sri Chaitanya`[EDUCATION_INSTITUTE]**(97.6%) -NL- 2015 - **`B.Tech`[EDUCATION_DEGREE]** - **`EEE`[EDUCATION_COURSE]** - **`Sastra University`[EDUCATION_INSTITUTE]**(7 CGPA) -NL- PASSPORT -NL- I have a valid passport.(M3348508) -NL- 